## ros-indigo-concert-qt-map-annotation 0.7.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(concert_qt_map_annotation)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

install(
  FILES concert_map_annotation_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(
   DIRECTORY ui resources
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-concert-qt-map-annotation (0.7.12-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 04 Aug 2015 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.11-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.10-0trusty) trusty; urgency=high

  * it errors if necessary param does not exist #186 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/186>
  * configure world canvas param closes #186 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/186>
  * Contributors: Jihoon Lee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.9-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 29 Mar 2015 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.8-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.7-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.6-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Fri, 27 Feb 2015 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.5-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.4-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.3-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 28 Dec 2014 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.2-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.1-0trusty) trusty; urgency=high

  * cleanup. sync version
  * removing unncessary image reosurces
  * fixing script usage description #162 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/162>
  * fixing install rule. now install resources and ui directory #162 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/162>
  * updates
  * add destroyed hook in resource chooser
  * delete unused code
  * create concert qt map annotater
  * Contributors: Jihoon Lee, dwlee
  * cleanup. sync version
  * removing unncessary image reosurces
  * fixing script usage description #162 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/162>
  * fixing install rule. now install resources and ui directory #162 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/162>
  * updates
  * add destroyed hook in resource chooser
  * delete unused code
  * create concert qt map annotater
  * Contributors: Jihoon Lee, dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.7.0-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.5.4-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.5.3-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.5.2-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.5.1-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 10 Jun 2013 16:50:50 +0900

ros-indigo-concert-qt-map-annotation (0.5.0-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 26 May 2013 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.3.1-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 08 Apr 2013 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.3.0-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-concert-qt-map-annotation (0.2.0-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 30 Jan 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-concert-qt-map-annotation
Section: misc
Priority: extra
Maintainer: Dongwook Lee <dwlee@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/concert_qt_teleop
Standards-Version: 3.9.2

Package: ros-indigo-concert-qt-map-annotation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-qt-gui-py-common, ros-indigo-rocon-console, ros-indigo-rocon-qt-library, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-tf
Description: An rqt plugin for annotating semantic information on saved map

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-concert-qt-map-annotation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
